Update Pack 3 Released! Update Information

deb http://debian.linuxmint.com

Re: Update Pack 3 Released! Update Information

Postby ausminter on Wed Sep 28, 2011 10:39 pm

Sorry if this seems like I'm hijacking this thread, it wasn't my intention.

When i ran dpkg again (with sudo dpkg --configure -a) to fix the broken packages it hung again on wvdial, so I hit ctrl-c and it skipped that and continued to configure the other packages.
It then configured grub and gave me the option of where to install it, which was curious as I'd just booted to the new kernel and was using it.
It seems like it installs grub twice for some reason.

Anyway it's smooth sailing now, it's all working great!
User avatar
ausminter
Level 2
Level 2
 
Posts: 50
Joined: Mon Sep 26, 2011 2:04 am

Linux Mint is funded by ads and donations.
 

Re: Update Pack 3 Released! Update Information

Postby themech on Thu Sep 29, 2011 9:21 am

Hello,
I've updates my /etc/apt/sources.list. Update Manager loads the new packages info without problems, but when I press the 'Install Updates' button it says 8 packages will be removed and this includes Eclipse. I'm a developer, I use Eclipse all the time and have many plugins installed and configured. Will I have to install my development environment from scratch after the update?
themech
Level 1
Level 1
 
Posts: 1
Joined: Thu Sep 29, 2011 9:16 am

Re: Update Pack 3 Released! Update Information

Postby zerozero on Thu Sep 29, 2011 9:32 am

themech, eclipse was removed from testing as you can see here http://packages.debian.org/search?suite ... ds=eclipse
there's this topic about the subject viewtopic.php?f=190&t=80144&hilit=+eclipse i don't know if you will find your answers there
Image

[ bliss of ignorance ]
zerozero
Level 16
Level 16
 
Posts: 6489
Joined: Tue Jul 07, 2009 2:29 pm

Re: Update Pack 3 Released! Update Information

Postby kwatson512 on Thu Sep 29, 2011 10:26 am

For me the update went flawlessly. Update Manager hung after updating itself (it wouldn't download or install the subsequent 400+ updates until I rebooted), but other than that, very smooth. And finally, with the new kernel I don't have any more system freezes. I guess the kernel has caught up with my hardware.

Thanks again, Clem and team!
Mint 16 64-bit Cinnamon, Lenovo ThinkPad T430s, 8GB RAM
kwatson512
Level 4
Level 4
 
Posts: 203
Joined: Sun Apr 20, 2008 7:16 pm

Re: Update Pack 3 Released! Update Information

Postby Electroman6913 on Thu Sep 29, 2011 1:51 pm

I installed KDE on my distro should I add a repository for KDE or does the Linux Mint repository's update KDE.
Electroman6913
Level 2
Level 2
 
Posts: 74
Joined: Mon May 30, 2011 6:57 pm

Re: Update Pack 3 Released! Update Information

Postby Gerd50 on Thu Sep 29, 2011 5:28 pm

You don't need an extra repository for KDE Electroman. Your default repos will update KDE too.
I believe in everything, except humans.

LM9, Debian Testing Xfce, Debian Sid Xfce - CPU/Amd64 2,6Ghz, Graphics/Nvidia 9600 GT, Sound/SB Audigy4 emu10K1
User avatar
Gerd50
Level 5
Level 5
 
Posts: 738
Joined: Wed Jul 22, 2009 3:42 pm
Location: Fishtown, Germany

Re: Update Pack 3 Released! Update Information

Postby craig10x on Thu Sep 29, 2011 6:06 pm

All of my programs seem to be running fine since the update pack 3 was installed on my LMDE re-spin...though one thing i have noticed is when playing an mp3 in any media player (i use rhythmbox and banshee) during each song, it seems to "skip" usually twice during it...has anyone else experienced that since doing update pack 3?
(it didn't do that before i did the updates)...

Just curious...also, anyone know what might be causing that?
craig10x
Level 7
Level 7
 
Posts: 1502
Joined: Fri Jul 03, 2009 12:44 pm

Re: Update Pack 3 Released! Update Information

Postby proxima_centauri on Thu Sep 29, 2011 11:06 pm

* Made addition to original post as follows

There have been a lot of questions concerning errors with the gstreamer packages. Something like
Code: Select all
Errors were encountered while processing:
/var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

In that case, copy the package name, example, /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb
Issue this command
Code: Select all
sudo dpkg -i --force-overwrite /var/cache/apt/archives/gstreamer0.10-plugins-bad_0.10.22-3_amd64.deb

Credit to zerozero from his answer for this -> viewtopic.php?f=141&t=67502&p=459740#p459733
User avatar
proxima_centauri
Level 11
Level 11
 
Posts: 3976
Joined: Tue Dec 25, 2007 3:24 pm
Location: NB, Canada

Re: Update Pack 3 Released! Update Information

Postby ctrlesc on Fri Sep 30, 2011 8:20 am

zerozero wrote:themech, eclipse was removed from testing as you can see here http://packages.debian.org/search?suite ... ds=eclipse
there's this topic about the subject viewtopic.php?f=190&t=80144&hilit=+eclipse i don't know if you will find your answers there

After the update, I temporarily added the sid repo (below) to my sources.list, installed eclipse, and then disabled the sid repo. No ill effects - just make sure that you only install eclipse.

Code: Select all
deb http://ftp.debian.org/debian sid main contrib non-free
ctrlesc
Level 1
Level 1
 
Posts: 16
Joined: Tue Jun 28, 2011 10:28 pm

Re: Update Pack 3 Released! Update Information

Postby lleiria on Fri Sep 30, 2011 11:40 am

For me, all went wrong. I changed the repos, as indicated by clem, verified all was well and made the update, via pack3. All seemed to be running well, but when I rebooted I entered in a tty prompt.
Soo I followed the instructiond to remove nvidia-kernel-dkms nvidia-glx, rebooted and installed it again. but I cannot start x.
I receive a lot of error messages when reinstalled nvidia-kernel:
something like (I'm translating, because the mesage is in portuguese):
update-alternatives: warning: forcing reinstalation of alternative /usr/lib/nvidia/current because the link to the nvidia group is corrupted.
update-alternatives: warning: forcing reinstalation of alternative /usr/lib/nvidia/ because the link to the glx group is corrupted.

and also:
first installation: checking all kernels...
Building only for 3.0.0-1-686pae
Module bild for the currently running kernel was skipped since the kernel source for this kernel does not seem to be installed.
then:
Installing nvidia-glx (280.13-1)
No deviation (? it's desvio in portuguuese) 'desviode/usr/lib/xorg/modules/extensions/libGLcore.so to /usr/lib/nvidia/libGLcore.soxlibmesa por nvidia-glx', none removed.
And two other similar messages.
Rebooted and I'm still stuck in a tty prompt.
And it's my work machine!
I must work, I'm wrtiting this in another machine.
Any help is urgent!!
Image
lleiria
Level 2
Level 2
 
Posts: 63
Joined: Sun Nov 07, 2010 2:07 pm

Re: Update Pack 3 Released! Update Information

Postby lleiria on Fri Sep 30, 2011 11:54 am

when I try to startx, i receive a message that tells me that Failed to load the nvidia kernel module. Please check your system's kernel log for additional error memssages
Failed to load module "nvidia" (module-specific error 0)
No drivers available
Image
lleiria
Level 2
Level 2
 
Posts: 63
Joined: Sun Nov 07, 2010 2:07 pm

Re: Update Pack 3 Released! Update Information

Postby kmb42vt on Fri Sep 30, 2011 1:32 pm

lleiria wrote:For me, all went wrong. I changed the repos, as indicated by clem, verified all was well and made the update, via pack3. All seemed to be running well, but when I rebooted I entered in a tty prompt.
Soo I followed the instructiond to remove nvidia-kernel-dkms nvidia-glx, rebooted and installed it again. but I cannot start x.
I receive a lot of error messages when reinstalled nvidia-kernel:
something like (I'm translating, because the mesage is in portuguese):
update-alternatives: warning: forcing reinstalation of alternative /usr/lib/nvidia/current because the link to the nvidia group is corrupted.
update-alternatives: warning: forcing reinstalation of alternative /usr/lib/nvidia/ because the link to the glx group is corrupted.

and also:
first installation: checking all kernels...
Building only for 3.0.0-1-686pae
Module bild for the currently running kernel was skipped since the kernel source for this kernel does not seem to be installed.
then:
Installing nvidia-glx (280.13-1)
No deviation (? it's desvio in portuguuese) 'desviode/usr/lib/xorg/modules/extensions/libGLcore.so to /usr/lib/nvidia/libGLcore.soxlibmesa por nvidia-glx', none removed.
And two other similar messages.
Rebooted and I'm still stuck in a tty prompt.
And it's my work machine!
I must work, I'm wrtiting this in another machine.
Any help is urgent!!


Can you boot using the older kernel from Update Pack 2? It should still be listed in your GRUB menu. If you cannot and still boot into a command prompt and assuming the Nvidia drivers are still installed, type:

Code: Select all
sudo nvidia-xconfig


It should tell you that there is no xconfig file and that a new one has been written successfully (not exactly in those words of course.

Now reboot. Hope this helps.
"Humph. Choice, it is the quintessential Linux delusion, simultaneously the source of it's greatest strength, and it's greatest weakness." (All apologies to The Architect)
User avatar
kmb42vt
Level 5
Level 5
 
Posts: 929
Joined: Sun Dec 06, 2009 11:15 am
Location: Vermont

Re: Update Pack 3 Released! Update Information

Postby lleiria on Fri Sep 30, 2011 2:02 pm

kmb42vt,
Thank you for your reply.
I had already tried to boot with the previous kernel, but as I had tried to reinstall nvidia drivers -- following clem's instructions -- and that failed, I ran into a tty prompt also. I also tried what you sugest (nvidia-xconfig), but didn't solve the problem.
So I decided to take a radical measure and installed and ran the sgfxi script. And the fact is the script saved me: it reinstalled nvidia drivers and compiled (I think) the kernel. Now all is well, and running the new kernel. Uf!!!
But if I hadn't had a previous experience to use this script (in another machine) I would have suffered more.
I don't know what went wrong, but it seems that there is some danger with people with nvidia drivers and update pack 3. This is to clem's atention.
But I'm a die hard LMDE user, so it isn't a problem like this one that will make me quit.
Image
lleiria
Level 2
Level 2
 
Posts: 63
Joined: Sun Nov 07, 2010 2:07 pm

Re: Update Pack 3 Released! Update Information

Postby monoton on Fri Sep 30, 2011 4:06 pm

Hi everyone,

in update manager I can see that update pack 3 is available, but I'm not able to install it.

I changed my /etc/apt/sources.list to the following:

Code: Select all
#deb http://packages.linuxmint.com/ debian main upstream import
#deb http://debian.linuxmint.com/latest testing main contrib non-free
# deb http://ftp.debian.org/ testing main contrib non-free
# deb http://security.debian.org/ testing/updates main contrib non-free
# deb http://www.debian-multimedia.org testing main non-free

# deb http://ppa.launchpad.net/chromium-daily/beta/ubuntu lucid main
# deb-src http://ppa.launchpad.net/chromium-daily/beta/ubuntu lucid main
# deb http://debian.linuxmint.com/latest/multimedia testing main non-free

deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free


I attached a screenshot of the network manager, it says that my system is pointing to the 'linux mint debian latest' repository, current update pack available is 3 and latest update pack used by mine system is 2.

Can please anyone help me?

Thanks and best regards
Attachments
Screenshot-Update Pack Info - Update Manager.png
screenshot update manager
Screenshot-Update Pack Info - Update Manager.png (55.78 KiB) Viewed 3698 times
monoton
monoton
Level 1
Level 1
 
Posts: 3
Joined: Sat Apr 16, 2011 8:29 am
Location: baltic sea

Re: Update Pack 3 Released! Update Information

Postby craig10x on Fri Sep 30, 2011 8:33 pm

Make your list match with this:
All your sources are supposed to be pointed at linuxmint.com and not debian...remove those completely...

deb http://packages.linuxmint.com/ debian main upstream import
deb http://debian.linuxmint.com/latest testing main contrib non-free
deb http://debian.linuxmint.com/latest/security testing/updates main contrib non-free
deb http://debian.linuxmint.com/latest/multimedia testing main non-free
craig10x
Level 7
Level 7
 
Posts: 1502
Joined: Fri Jul 03, 2009 12:44 pm

Re: Update Pack 3 Released! Update Information

Postby putz3000 on Sat Oct 01, 2011 3:05 am

I previously tried the standard Mint install & had some probs. Not being as happy with Ubuntu I was thinking of trying LMDE to see if I would be happier. I have not installed it yet due to some confusion after reading the posts here and the blog post w/comments. Here are my questions:

1) Can I or Can I not use PPA's? I was thinking of reinstalling Docky & want to make sure I can install the PPA for it.

2) My laptop has nVidea, is there anyone that has had success installing on system with nVidea?

3) It sounds like Gnome 3 is bundled in this pack? Is it the default new Gnome 3, or has it been tweaked to look & feel like Mint interface?

Thank you,
putz3000
Level 1
Level 1
 
Posts: 6
Joined: Mon Nov 22, 2010 3:17 am

Re: Update Pack 3 Released! Update Information

Postby Roken on Sat Oct 01, 2011 5:45 am

putz3000:

Answers to both Q2 and Q3 are included in this thread. Read back for the details.

With regard to the use of PPAs, it's generally not recommended on LMDA. PPAs often include Ubuntu specific modifications to the code, which can lead to broken dependancies/installs on non-Ubuntu systems. Having said that, many people have had success with some PPAs (such as wine), but there are no guarantees that this will not cause problems down the road.

Notwithstanding this, docky is available in the Mint repository anyway, so why not just use that.
Kernel Linux Tex 3.2.2-1 (64 bit) xfce , burg
Arch
ATI Radeon HD 4670, 1GB
OSS4
AMD Phenom II X4 (965BE) @ 3.6 Ghz (Overclocked)
8Gb RAM
Image
User avatar
Roken
Level 5
Level 5
 
Posts: 747
Joined: Fri Nov 19, 2010 4:55 pm
Location: Oldham, UK

Re: Update Pack 3 Released! Update Information

Postby beta_tester on Sat Oct 01, 2011 5:50 am

Thank you!

Solved all of my problems after the update! thank you :)

FYI after Kernel 3.0.0 etc my wireless stopped working, however rerunning these commands in terminal (su user mode) (and having installed broadcom-sta successfully previously ):

m-a a-i broadcom-sta
echo blacklist brcm80211 >> /etc/modprobe.d/broadcom-sta-common.conf
update-initramfs -u -k $(uname -r)
modprobe -r b44 b43 b43legacy ssb brcm80211
modprobe wl
iwconfig (shows your wireless availability :)

My system is all guns go with the latest 3 Kernel also.

NB This is for an HP Probook 6450b with the Broadcom 4313 (Device ID 14E4:4727) chipset running latest LMDE fully updated :)

kind regards and many thanks again john

ps if anyone else uses this method, you may apply all the steps after a new kernel update to bring your wireless into play again!

"Be Special! Your life maybe the only Gospel those who meet you ever get to read!" john
Image
User avatar
beta_tester
Level 1
Level 1
 
Posts: 17
Joined: Sat Feb 07, 2009 5:41 am
Location: Chadwell St. Mary, Essex. UK

Re: Update Pack 3 Released! Update Information

Postby glong on Sat Oct 01, 2011 9:21 am

lleiria wrote:For me, all went wrong. I changed the repos, as indicated by clem, verified all was well and made the update, via pack3. All seemed to be running well, but when I rebooted I entered in a tty prompt.
Soo I followed the instructiond to remove nvidia-kernel-dkms nvidia-glx, rebooted and installed it again. but I cannot start x.
I receive a lot of error messages when reinstalled nvidia-kernel:
something like (I'm translating, because the mesage is in portuguese):
update-alternatives: warning: forcing reinstalation of alternative /usr/lib/nvidia/current because the link to the nvidia group is corrupted.
update-alternatives: warning: forcing reinstalation of alternative /usr/lib/nvidia/ because the link to the glx group is corrupted.

and also:
first installation: checking all kernels...
Building only for 3.0.0-1-686pae
Module bild for the currently running kernel was skipped since the kernel source for this kernel does not seem to be installed.
then:
Installing nvidia-glx (280.13-1)
No deviation (? it's desvio in portuguuese) 'desviode/usr/lib/xorg/modules/extensions/libGLcore.so to /usr/lib/nvidia/libGLcore.soxlibmesa por nvidia-glx', none removed.
And two other similar messages.
Rebooted and I'm still stuck in a tty prompt.
And it's my work machine!
I must work, I'm wrtiting this in another machine.
Any help is urgent!!



I had this problem too. The fix for me was to download the kernel header files (apt-get install linux-headers-3.0.0-1-686-pae).
After that I reinstalled the nvidia-glx and nvidia-kernal-dkms and all was well.

I read the errors carefully before I did this and some prompt from the dkms errors lead me to do this (I cannot recall what it was) Anyway, for some reson I did not have the kernel headers and DKMS needs those to correctly install (correct word?) the nvidia driver.
glong
Level 1
Level 1
 
Posts: 3
Joined: Mon Jul 25, 2011 9:16 pm

Re: Update Pack 3 Released! Update Information

Postby lleiria on Sat Oct 01, 2011 12:47 pm

I did a second upgrade in my home desktop, with LMDE freshly installed with the latest respin, and with nvidia drivers, and once again after booting I entered in a tty prompt.
This time it was easier to solve. I followed clem's instructions to remove nvidia-kernel-dkms and nvidia-glx, but the system told me they were not installed (Ididn't understood why, as nvidia drivers were installed and running well before upgrading). So I did an 'apt-get install nvidia-kernel-dkms nvidia-glx' and all was installed. I rebooted and now all seems to run well.
But once again it was not a smooth upgrade. And there is a lot of people who has nvidia graphics cards. I know a lot of people that would panic if this happened to them. To clem's attention.
Image
lleiria
Level 2
Level 2
 
Posts: 63
Joined: Sun Nov 07, 2010 2:07 pm

Linux Mint is funded by ads and donations.
 
PreviousNext

Return to Update Packs Repositories

Who is online

Users browsing this forum: No registered users and 2 guests